
function E0090()
    MNA()CMU("menu")FAI(0)
end
function E0091()
    MNA()CMU("menu")FAI(1)
end
function E0092()
    MNA()CMU("menu")FAI(2)
end
function E0093()
    MNA()CMU("menu")FAI(3)
end
function E0094()
    MNA()CMU("menu")FAI(4)
end

function Door_GoGaudiMountainCage()
    if(FLJ("GetIronKey")) then
        PRI()
        SOU("CS_022_chest_open")
        GIT("IronKey")
        MS4("\nUsed the =IRON KEY=.")NOD()CLO()
        GIT()
        CLO()
        SOU("CS_110")ANP("Door_GoGaudiMountainCage",0,1)FAO(0)TRA("CS_gaudi_mountain_cage","SaveMahin",23,14)
    else
        PRI()
        SOU("CS_022_chest_open")WAI(16)SOU("CS_022_chest_open")WAI(16)
        MS4("\nThe iron door is locked.")NOD()CLO()
    end
end

function TheBossIsMonsterX()
    KEY()
    SNP("CS_gaudi_armoured_animate",6,12,0,"mainLayer","GaudiArmoured1")
    SNP("CS_monsterx_animate",48,11,0,"mainLayer","MonsterX1")
    ANP("MonsterX1","back")
    FON("Camera1",1)
    FAI(3)
    WAI(32)
    MS3("Hmm, he is in a deep sleep,")NOD()
    ANP("GaudiArmoured1","normal",1)
    CAT("\nI can't wake him up no matter")
    CAT("\nhow much I try...")NOD()CLO()
    WAI(32)
    MS3("Is that so...")NOD()
    CAT("\nThen forget it.")NOD()CLR()
    CAT("I wanted to give him a surprise,")NOD()
    CAT("\nlet him see his friends one last time")
    CAT("\nbefore we eat them.")NOD()CLR()
    CAT("Since he's still asleep,")NOD()
    CAT("\nyou keep watching him here,")NOD()
    CAT("\nand report to me immediately if he wakes up.")NOD()CLR()
    CAT("\nYes, sir!")NOD()CLO()
    WAI(32)
    ANP("GaudiArmoured1","normal",0)
    WAI(32)
    ANP("Camera1","right")
    WAI(450)
    ANP("Camera1","stop")
    WAI(60)
    ANP("MonsterX1","sit")
    WAI(32)
    ANP("MonsterX1","face1")
    WAI(60)
    ANP("MonsterX1","face2")
    WAI(60)
    ANP("MonsterX1","face3")
    WAI(120)
    FLS("GetIronKey")
    FAO(1)
    TRA("CS_fortress","MonsterXAppear",15,55)
end

function GetIronKey()
    PRI()
    MS4("\nFound the Iron Door Key!")NOD()CLR()
    ITP("IronKey")
    GIT("IronKey")
    SOU("CS_038_get_item")
    DNP("GetIronKey")
    FLP("GetIronKey")
    CMU("CS_Fanfale1")
    CAT("\nObtained =IRON DOOR KEY=.")WAI(160)NOD()
    RMU()
end

function DropIronKey()
    MNP("GetIronKey","DropIronKey")
    CNP("GetIronKey","CS_key",0)
end

function Test1()
    PRI()
    --SOU("CS_110")ANP("Door_GoGaudiMountainCage",0,1)FAO(0)TRA("CS_gaudi_mountain_cage","SaveMahin",23,14)
    --FAO(2)TRA("CS_fortress_escape","Escape",19,13)
    --FAO(2)TRA("CS_sky2","Rescue1",0,0)
    --FAO(2)TRA("CS_fortress_escape","Escape2",0,0)
    --FAO(2)TRA("CS_sky2","Rescue2",0,0)
    ---[[
    FAO(2)
    HMC()
    SPL(0,"CS_mychar_quote_p1")
    SPL(1,"CS_mychar_curly_p2")
    SMC(0)
    SMC(1)
    --TRA("CS_fortress_escape","Escape3",0,0)
    --TRA("CS_fortress_underground2","Swimming",0,0)
    --TRA("CS_fortress_underground3","Swimming",0,0)
    TRA("CS_gaudi_mountain_collapsed","CheerForKanpa",0,0)
    --]]
end